Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class ValueOfTemplate

    java.lang.Object
      com.novell.xsl.process.ValueOfTemplate

All Implemented Interfaces:
  Template

    public class ValueOfTemplate

extends Object
implements Template

A template that creates a text node whose value is given by a string expression. This template corresponds to the `xsl:value-of` element.

Constructor Summary
`ValueOfTemplate(Expression stringExpr, boolean noEscaping, Node nsContext)` Constructs a value-of template with the specified string expression.

Method Summary
`void` | `dump(PrintWriter out, int indent)` Dumps this object to the specified output stream.
`Expression` | `getExpr()` Returns this template's string expression.
`Node` | `getNamespaceContext()` Return the node that is the namespace context for this template
`void` | `instantiate(ProcessingEnv env, Node currentNode, ResultHandler result)` Instantiates this template for the specified current node and sends the result to the specified result handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueOfTemplate

    public ValueOfTemplate(Expression stringExpr,
                           boolean noEscaping,
                           Node nsContext)

  Constructs a value-of template with the specified string expression.

  Parameters:
    `stringExpr` - the value-of template's string expression
    `noEscaping` - If serialized, text should be output without escaping
    `nsContext` - The node in the style sheet from which this template comes

Method Detail

### getExpr

    public Expression getExpr()

  Returns this template's string expression.

  Returns:
    this template's string expression

### instantiate

    public void instantiate(ProcessingEnv env,
                            Node currentNode,
                            ResultHandler result)
                     throws XSLException

  Instantiates this template for the specified current node and sends the result to the specified result handler.

  For a `ValueOfTemplate`, this method evaluates its string expression and adds a text node containing the result to the result tree.

  Specified by:
    `instantiate` in interface `Template`
  Parameters:
    `env` - the current processing environment
    `currentNode` - the current source node
    `result` - the handler to which results are sent
  Throws:
    `XSLException` - if a fatal error occurs during instantiation

### getNamespaceContext

    public Node getNamespaceContext()

  Return the node that is the namespace context for this template

  Specified by:
    `getNamespaceContext` in interface `Template`
  Returns:
    The namespace context node.

### dump

    public void dump(PrintWriter out,
                     int indent)

  Dumps this object to the specified output stream.

  Specified by:
    `dump` in interface `Template`
  Parameters:
    `out` - the output stream to write to
    `indent` - number of tabs to indent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD